commit:     f35590765220cad281cf04769bd7f0902a2980de
Author:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
AuthorDate: Fri Jul  5 19:37:25 2019 +0000
Commit:     Alon Bar-Lev <alonbl <AT> gentoo <DOT> org>
CommitDate: Fri Jul  5 20:00:20 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3559076

dev-libs/botan: version bump

Closes: https://bugs.gentoo.org/show_bug.cgi?id=689296
Signed-off-by: Alon Bar-Lev <alonbl <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.11

 dev-libs/botan/Manifest            |  1 +
 dev-libs/botan/botan-2.11.0.ebuild | 99 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/dev-libs/botan/Manifest b/dev-libs/botan/Manifest
index c2dc54f8d96..67a1a1d250b 100644
--- a/dev-libs/botan/Manifest
+++ b/dev-libs/botan/Manifest
@@ -1,2 +1,3 @@
 DIST Botan-1.10.17.tgz 2706678 BLAKE2B 
bce65493c702381aaa747c2b935c545f85704b93bb6be4bf225048cc14812999291bbbe86786c2b00865489ec47d63128b12ef1020be8651be57fa1c84006a7c
 SHA512 
a47cab3af113652247c8efc8b0f043eb62175eaa8554833d5fc3016ea94dbdd8aa722ab9b5226cc5f133afbcc088d54362111630eaa4594812c39925cc3c8649
+DIST Botan-2.11.0.tar.xz 5765712 BLAKE2B 
5602ef9485363b21f6f622f7370e486d834477730c2fc2f0bb9211db944d2b2a6a03d8ae14845cf871f648c76c77fd3e18804bd598f805a5754e3bfadb114d5d
 SHA512 
a697a7f29788afc561cde35431e65e2f37e40fd45af89a6d060bf9988d28089905c6a1c005f9b23fb377547cd7a96a41f62c8d2f61a7f80d1ca1b9ccf857a2ce
 DIST Botan-2.9.0.tgz 7216373 BLAKE2B 
5ad2e15db871ccc3a32b29b7f54a02d69f251f0aca2ce656b557dbbb3814a793053a54905371b3414ad72952a64bece43e2383da91f205f68b0fe31be2f9439c
 SHA512 
b88f3894a4a5b7b2fbff9be6eb0b774bf679a014bd2364811b7e63d4f323e22ca9ef916491afbc2cdf9db68727c1449fbeb6fd417e591560add0955517db3f65

diff --git a/dev-libs/botan/botan-2.11.0.ebuild 
b/dev-libs/botan/botan-2.11.0.ebuild
new file mode 100644
index 00000000000..0b8587ddfd9
--- /dev/null
+++ b/dev-libs/botan/botan-2.11.0.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python{2_7,3_5,3_6} )
+
+inherit multilib python-r1 toolchain-funcs
+
+MY_PN="Botan"
+MY_P="${MY_PN}-${PV}"
+DESCRIPTION="A C++ crypto library"
+HOMEPAGE="https://botan.randombit.net/";
+SRC_URI="https://botan.randombit.net/releases/${MY_P}.tar.xz";
+
+KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~ppc-macos"
+SLOT="2/$(ver_cut 1-2)" # soname version
+LICENSE="BSD"
+IUSE="bindist doc boost python bzip2 libressl lzma sqlite ssl static-libs zlib"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+S="${WORKDIR}/${MY_P}"
+
+DEPEND="python? ( ${PYTHON_DEPS} )"
+RDEPEND="${DEPEND}
+       bzip2? ( >=app-arch/bzip2-1.0.5:= )
+       zlib? ( >=sys-libs/zlib-1.2.3:= )
+       boost? ( >=dev-libs/boost-1.48:= )
+       lzma? ( app-arch/xz-utils:= )
+       sqlite? ( dev-db/sqlite:3= )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0=[bindist=] )
+               libressl? ( dev-libs/libressl:0= )
+       )"
+BDEPEND="dev-lang/python:*
+       doc? ( dev-python/sphinx )"
+
+src_configure() {
+       local disable_modules=()
+       use boost || disable_modules+=( "boost" )
+       use bindist && disable_modules+=( "ecdsa" )
+       elog "Disabling modules: ${disable_modules[@]}"
+
+       # Enable v9 instructions for sparc64
+       if [[ "${PROFILE_ARCH}" = "sparc64" ]]; then
+               CHOSTARCH="sparc32-v9"
+       else
+               CHOSTARCH="${CHOST%%-*}"
+       fi
+
+       local myos=
+       case ${CHOST} in
+               *-darwin*)      myos=darwin ;;
+               *)                      myos=linux  ;;
+       esac
+
+       case ${CHOST} in
+               hppa*)          CHOSTARCH=parisc ;;
+       esac
+
+       local pythonvers=()
+       if use python; then
+               append() {
+                       pythonvers+=( ${EPYTHON/python/} )
+               }
+               python_foreach_impl append
+       fi
+
+       CXX="$(tc-getCXX)" AR="$(tc-getAR)" ./configure.py \
+               $(use_enable static-libs static-library) \
+               $(use_with boost) \
+               $(use_with bzip2) \
+               $(use_with doc documentation) \
+               $(use_with doc sphinx) \
+               $(use_with lzma) \
+               $(use_with sqlite sqlite3) \
+               $(use_with ssl openssl) \
+               $(use_with zlib) \
+               $(usex hppa --without-stack-protector '') \
+               --cc=gcc \
+               --cpu=${CHOSTARCH} \
+               --disable-modules=$(IFS=","; echo "${disable_modules[*]}" ) \
+               --docdir=share/doc \
+               --libdir=$(get_libdir) \
+               --os=${myos} \
+               --prefix="${EPREFIX}/usr" \
+               --with-endian="$(tc-endian)" \
+               --with-python-version=$(IFS=","; echo "${pythonvers[*]}" ) \
+               --without-doxygen \
+               || die "configure.py failed"
+}
+
+src_test() {
+       LD_LIBRARY_PATH="${S}" ./botan-test || die "Validation tests failed"
+}
+
+src_install() {
+       default
+       use python && python_foreach_impl python_optimize
+}

Reply via email to